<bugID>1401991<Summary>The "Library" toolbarbutton opens an empty popup if the toolbarbutton was clicked with the "Library" submenu opened in Firefox's main menu.</Summary><Description>Created attachment 8910778
Firefox-Toolbarbutton-Library-empty-popup.png

1. Put the "Library" toolbarbutton on the main toolbar or the tab-bar.
2. Open the main menu (hamburger button).
3. Open the "Library" submenu.
4. Click the "Library" toolbarbutton on the main toolbar/tab-bar.

Actual result:
1. The main menu closes.
2. The toolbarbutton's popup opens, shows its contents ("Bookmarks", "History", "Downloads", "Synced Tabs" etc.) for a split second, and then changes to an empty popup.

Expected result:
1. The main menu closes.
2. The toolbarbutton's menu opens with its contents  ("Bookmarks", "History", "Downloads", "Synced Tabs" etc.).

Tested and reproduced on Beta Dev Edition 57 and Nightly 57</Description></bugID>